package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum ExportTypeEnum implements BaseEnum<Integer, ExportTypeEnum> {
	ORDER(0, "订单列表"),
	COURSE_SCHEDULE(1, "课表列表"),
	ROUTE_ORDER(2, "财务管理"),
	STUDENT_VIP_PRACTICE(3, "VIP网管课耗导出"),
	STUDENT_MUSIC_THEORY_COURSE_INFO(4, "网管课学员课程信息导出"),
	STUDENT_VIP_COURSE_INFO(5, "VIP课学员课程信息导出"),
	VIP_STUDENT_COURSE_MANAGE(6, "vip学员课程管理"),
	STUDENT_SMALL_CLASS_STATISTICS(7, "学员小课数据统计"),
	ORDER_LIST_SUM(8, "订单汇总"),
	MUSIC_GROUP_COURSE_LIST(9, "乐团课表详情导出"),
	MUSIC_GROUP_DATA_EXPORT(10, "乐团数据导出"),
	EXPORT_STUDENT_SUBCOURSE(11, "活动资格导出"),
	EXPORT_TRAINING_STATISTICS(12, "训练统计导出");
	;

	private Integer code;

	private String desc;

	private ExportTypeEnum(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	@Override
	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
